## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 13;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1
# Tests too slow
%bcond_with check
%global debug_package %{nil}


# https://github.com/go-redis/redis
%global goipath         gopkg.in/redis.v6
%global forgeurl        https://github.com/go-redis/redis
Version:                6.15.9

%gometa

%global goaltipaths     github.com/go-redis/redis

%global common_description %{expand:
Type-safe Redis client for Golang.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Type-safe Redis client for Golang

# Upstream license specification: BSD-2-Clause
# BSD: main library
# ASL 2.0: internal/consistenthash
License:        BSD and ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# test fixes and do not assume use of system redis-server for testing
Patch0:         redis-testing-fixes.patch

%if %{with check}
# Tests
BuildRequires:  redis
BuildRequires:  golang(github.com/onsi/ginkgo)
BuildRequires:  golang(github.com/onsi/gomega)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1
sed -i "s|github.com/go-redis/redis|gopkg.in/redis.v6|" $(find . -iname "*.go" -type f)

%install
%gopkginstall
%global _testdata_redis_src %{_builddir}/redis-%{version}/testdata/redis/src
mkdir -p %{_testdata_redis_src}
ln -s %{_bindir}/redis-server %{_testdata_redis_src}/redis-server

%if %{with check}
%check
# Run a test Redis server rather than assuming the system
# is running one already (see patch0) - non-default port.
redis-cli -p 28126 SHUTDOWN 2>/dev/null || true
redis-server --port 28126 &
sleep 0.2   # time to startup
redis-cli -p 28126 PING || exit 1
%gocheck
redis-cli -p 28126 SHUTDOWN || exit 1
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.15.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 17 2024 Robert-André Mauchin <zebob.m@gmail.com> - 6.15.9-12
- Fix FTBFS

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.15.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.15.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.15.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.15.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.15.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.15.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.15.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.15.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 22 19:36:11 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 6.15.9-1
- Update to 6.15.9

* Wed Aug 05 20:57:36 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 6.15.8-1
- Update to 6.15.8

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 6.15.7-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 6.15.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Feb 11 20:42:25 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 6.15.7-1
- Initial package

## END: Generated by rpmautospec
